Video encoder commands
======================

These are the commands related to the built in video encoder in the ATEM Mini series
of video switchers. This controls both the live stream and stream recorder component.


Live streaming
--------------

.. autoclass:: pyatem.command.StreamingServiceSetCommand
   :members:
   :special-members:

.. autoclass:: pyatem.command.StreamingStatusSetCommand
   :members:
   :special-members:

Recording
---------

.. autoclass:: pyatem.command.RecordingSettingsSetCommand
   :members:
   :special-members:

.. autoclass:: pyatem.command.RecorderStatusCommand
   :members:
   :special-members:
